<?php

/*
 *  LMS Userpanel version 1.1-cvs
 *
 *  (C) Copyright 2001-2005 Userpanel Developers
 *
 *  Please, see the doc/AUTHORS for more information about authors!
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 *
 *  $Id: postgres.2005091700.php,v 1.4 2006/01/16 09:24:15 lexx Exp $
 */

$DB->BeginTrans();

$DB->Execute("
    CREATE SEQUENCE up_rights_id_seq;
    CREATE TABLE up_rights (
	id integer DEFAULT nextval('up_rights_id_seq'::text) NOT NULL,
        module varchar(255) DEFAULT 0 NOT NULL,
        name varchar(255) DEFAULT 0 NOT NULL,
        description varchar(255) DEFAULT 0,
	setdefault smallint DEFAULT 0,
	PRIMARY KEY (id)
    )
");	  

$DB->Execute("
    CREATE SEQUENCE up_rights_assignments_id_seq;
    CREATE TABLE up_rights_assignments (
	id integer DEFAULT nextval('up_rights_assignments_id_seq'::text) NOT NULL,
	customerid integer DEFAULT 0 NOT NULL,
        rightid integer DEFAULT 0 NOT NULL,
	PRIMARY KEY (id),
	UNIQUE (customerid, rightid)
    )
");	  

$DB->Execute("INSERT INTO dbinfo(keytype, keyvalue) VALUES('up_dbversion', '2005091700')");

$DB->CommitTrans();

?>
