<?php

/*
 *  LMS Userpanel version 1.1-cvs
 *
 *  (C) Copyright 2001-2005 Userpanel Developers
 *
 *  Please, see the doc/AUTHORS for more information about authors!
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 *
 *  $Id: postgres.2005120900.php,v 1.4 2006/01/16 09:24:15 lexx Exp $
 */

$DB->BeginTrans();

$DB->Execute("
    CREATE SEQUENCE up_customers_id_seq;
    CREATE TABLE up_customers (
	id integer DEFAULT nextval('up_customers_id_seq'::text) NOT NULL,
        customerid integer DEFAULT 0 NOT NULL,
	lastlogindate integer DEFAULT 0 NOT NULL,
	lastloginip varchar(16) DEFAULT '' NOT NULL,
	failedlogindate integer DEFAULT 0 NOT NULL,
	failedloginip varchar(16) DEFAULT '' NOT NULL,
	enabled smallint DEFAULT 0 NOT NULL,
	PRIMARY KEY (id)
    )
");	  

$DB->Execute("UPDATE dbinfo SET keyvalue=? WHERE keytype=?", array('2005120900', 'up_dbversion'));

$DB->CommitTrans();

?>
