<?php

/*
 *  LMS Userpanel version 1.1-cvs
 *
 *  (C) Copyright 2004-2006 Userpanel Developers
 *
 *  Please, see the doc/AUTHORS for more information about authors!
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 *
 *  $Id: functions.php,v 1.5 2006/01/16 09:24:15 lexx Exp $
 */

function module_license()
{
	global $SMARTY;
	$SMARTY->display('module:license.html');
}

function module_main()
{
    global $SMARTY,$_USERPANEL_DIR;
    $authors = array(
            'lexx' => array(
        	    'realname' => 'Marcin Król',
        	    'www' => 'www.lexx.w.pl',
		    'info' => trans('idea, design, graphics, modules'),
	    ),
            'alec' => array(
        	    'realname' => 'Aleksander Machniak',
        	    'www' => 'www.alec.pl',
		    'info' => trans('modules, design, documentation, backward compatybility'),
	    ),
            'Baseciq' => array(
		    'realname' => 'Łukasz Jarosław Mozer',
		    'www' => 'www.baseciq.org',
		    'info' => trans('engine'),
	    ),
            'chilek' => array(
		    'realname' => 'Tomasz Chilinski',
		    'www' => 'www.chilan.com',
		    'info' => trans('bugfixes'),
	    ),
    );																																							 
    
    $changelog = file_get_contents($_USERPANEL_DIR.'/doc/ChangeLog');
    $SMARTY->assign('authors', $authors);
    $SMARTY->assign('changelog', $changelog);
    $SMARTY->display('module:about.html');
}

?>
