#!/bin/bash
# $Id: buildpack.sh,v 1.1 2005/07/03 18:02:56 alec Exp $

WORKDIR=`pwd`
NOTDISTRIB="devel"

echo -ne "Katalog tmp? [$TMPDIR]: "
read TEMPDIR
if [ -z "$TEMPDIR" ]; then
	if [ -z "$TMPDIR" ]; then
		echo "Musz mie jaki katalog tymczasowy..."
		exit
	else
		TEMPDIR=$TMPDIR
	fi
fi

echo -ne "Dobra, a ktra wersja Userpanela?: "
read LMSVER
if [ -z "$LMSVER" ]; then
	echo "Nie ma mocnych ;) Bez tego nie ruszymy."
	exit
fi

echo -ne "TAG z CVS'a?: "
read CVSTAG
if [ -z "$CVSTAG" ]; then
	echo "Nie ma mocnych ;) Bez tego nie ruszymy."
	exit
fi

X=$RANDOM
mkdir -p $TEMPDIR/$X
wget --proxy=off "http://cvs.rulez.pl/viewcvs.cgi/userpanel/userpanel.tar.gz?tarball=1&only_with_tag=${CVSTAG}" -O $TEMPDIR/$X/userpanel.tar.gz
umask 022
cd $TEMPDIR/$X/
tar -xzf userpanel.tar.gz
chmod 777 userpanel/{templates_c,backups}
cd userpanel
rm -Rf $NOTDISTRIB
grep -air '0\.1-cvs' .|cut -d: -f1|sort|uniq|xargs perl -pi -e "s/0\.1-cvs/$LMSVER/g"
chmod 777 templates_c backups
cd ..
tar -czf $WORKDIR/userpanel-$LMSVER.tar.gz userpanel
cd $WORKDIR