<?php

/*
 *  LMS Userpanel version 1.1-cvs
 *
 *  (C) Copyright 2001-2005 Userpanel Developers
 *
 *  Please, see the doc/AUTHORS for more information about authors!
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
 *  USA.
 *
 *  $Id: postgres.2005091701.php,v 1.3 2006/01/16 09:24:15 lexx Exp $
 */

$DB->BeginTrans();

$DB->Execute("
    CREATE SEQUENCE up_info_changes_id_seq;
    CREATE TABLE up_info_changes (
	id integer DEFAULT nextval('up_info_changes_id_seq'::text) NOT NULL,
	customerid integer DEFAULT 0 NOT NULL,
        fieldname varchar(255) DEFAULT 0 NOT NULL,
        fieldvalue varchar(255) DEFAULT 0 NOT NULL,
	PRIMARY KEY (id)
    )
");	  
$DB->Execute("INSERT INTO up_rights(module, name, description) VALUES ('info', 'edit_addr_ack', 'Customer can change address information with admin acknowlegment')");
$DB->Execute("INSERT INTO up_rights(module, name, description) VALUES ('info', 'edit_addr', 'Customer can change address information')");
$DB->Execute("INSERT INTO up_rights(module, name, description, setdefault) VALUES ('info', 'edit_contact_ack', 'Customer can change contact information with admin acknowlegment', 0)");
$DB->Execute("INSERT INTO up_rights(module, name, description) VALUES ('info', 'edit_contact', 'Customer can change contact information')");
$DB->Execute("INSERT INTO dbinfo(keytype, keyvalue) VALUES ('up_module_info', '2005091701')");

$DB->CommitTrans();

?>
